<?php
class Usuario{

	function __construct(){
		$this->cn = conectarDB();
	}

	public function verificar($id,$usuario,$privilegio){
		$query = 'SELECT usu_id AS id FROM usuario WHERE usu_id = ? AND usu_apodo = ? AND usu_privilegio = ? LIMIT 1;';
		$rs = $this->cn->Execute($query,array($id,$usuario,$privilegio));
		if(!empty($rs) && !$rs->EOF){
			$rs->Close();
			return true;
		}
		return false;
	}

	public function actualizarDatos($nombre,$paterno,$materno,$correo,$contrasena,$cNueva){
		if(empty($cNueva)){
			$query = 'UPDATE usuario SET usu_nombre = ?, usu_ap_paterno = ?, usu_ap_materno = ?, usu_correo = ? WHERE usu_apodo = ? AND usu_id = ?;';
			$rs = $this->cn->Execute($query,array($nombre,$paterno,$materno,$correo,$_SESSION['usuario']['apodo'],$_SESSION['usuario']['id']));
		}else{
			$query = 'UPDATE usuario SET usu_nombre = ?, usu_ap_paterno = ?, usu_ap_materno = ?, usu_correo = ?, usu_contrasena = sha1(?) WHERE usu_apodo = ? AND usu_contrasena = sha1(?);';
			$rs = $this->cn->Execute($query,array($nombre,$paterno,$materno,$correo,$cNueva,$_SESSION['usuario']['apodo'],$contrasena));
		}
		if($this->cn->Affected_Rows()==1){
			$_SESSION['usuario']['nombre'] = $nombre;
			$_SESSION['usuario']['ap_paterno'] = $paterno;
			$_SESSION['usuario']['ap_materno'] = $materno;
			$_SESSION['usuario']['correo'] = $correo;
			return true;
		}
		return false;
	}

	public function actualizarContrasena($usuario,$contrasena,$cNueva){
		$query = 'UPDATE usuario SET usu_contrasena = ? WHERE usu_apodo = ? AND usu_contrasena = ?;';
		$rs = $this->cn->Execute($query,array($cNueva,$usuario,$contrasena));
		if($this->cn->Affected_Rows()==1)
			return true;
		return false;
	}

	function __destruct(){
		$this->cn->Close();
	}
}
?>